Index: trunk/interface/SmearUtil.h
===================================================================
--- trunk/interface/SmearUtil.h	(revision 91)
+++ trunk/interface/SmearUtil.h	(revision 94)
@@ -61,26 +61,20 @@
   
   // Detector coverage
-  float MAX_TRACKER;    // tracker pseudorapidity coverage
-  float MAX_CALO_CEN;   // central calorimeter pseudorapidity coverage
-  float MAX_CALO_FWD;   // forward calorimeter pseudorapidity coverage
-  float MAX_MU;         // muon chambers pseudorapidity coverage
-  float MIN_CALO_VFWD;  // very forward calorimeter pseudorapidity coverage
-  float MAX_CALO_VFWD;  // very forward calorimeter pseudorapidity coverage
-  float MIN_ZDC;        // coverage for Zero Degree Calorimeter, for photons and neutrons
-
-  float ZDC_S;   // distance of the Zero Degree Calorimeter, from the Interaction poin, in [m]
-  float RP220_S; // distance of the RP to the IP, in meters
-  float RP220_X; // distance of the RP to the beam, in meters
-  float FP420_S; // distance of the RP to the IP, in meters
-  float FP420_X; // distance of the RP to the beam, in meters
-
-  //Magnetic Field information
-  int TRACKING_RADIUS;                      //radius of the BField coverage
-  int TRACKING_LENGTH;                      //length of the BField coverage
-  float BFIELD_X;          
-  float BFIELD_Y;          
-  float BFIELD_Z;         
-
-  
+  float CEN_max_tracker;    // tracker pseudorapidity coverage
+  float CEN_max_calo_cen;   // central calorimeter pseudorapidity coverage
+  float CEN_max_calo_fwd;   // forward calorimeter pseudorapidity coverage
+  float CEN_max_mu;         // muon chambers pseudorapidity coverage
+
+  float VFD_min_calo_vfd;  // very forward calorimeter pseudorapidity coverage
+  float VFD_max_calo_vfd;  // very forward calorimeter pseudorapidity coverage
+  float VFD_min_zdc;        // coverage for Zero Degree Calorimeter, for photons and neutrons
+  float VFD_s_zdc;   // distance of the Zero Degree Calorimeter, from the Interaction poin, in [m]
+
+  float RP_220_s; // distance of the RP to the IP, in meters
+  float RP_220_x; // distance of the RP to the beam, in meters
+  float RP_420_s; // distance of the RP to the IP, in meters
+  float RP_420_x; // distance of the RP to the beam, in meters
+
+
   //energy resolution for electron/photon
   // \sigma/E = C + N/E + S/\sqrt{E}
@@ -103,57 +97,71 @@
   // muon smearing
   float MU_SmearPt;
- 
-  //threshold for reconstructed objetcs
-  float ELEC_pt;
-  float MUON_pt;
-  float JET_pt;
-  float GAMMA_pt;
-  float TAUJET_pt;
- 
-  //For Tau-jet definition
-  // R = sqrt (phi^2 + eta^2)
-  float TAU_CONE_ENERGY;  // radius R of the cone for tau definition, based on energy threshold
-  float TAU_CONE_TRACKS;  // radius R of the cone for tau definition, based on track number
-  float PT_TRACK_TAU;     // minimal pt [GeV] for tracks to be considered in tau definition
-  float TAU_EM_COLLIMATION; // fraction of energy required in the central part of the cone, for tau jets
-  
-  // Tracker acceptance
-  float PT_TRACKS_MIN;    // minimal pt needed to reach the calorimeter, in GeV
+  
+  //Magnetic Field information
+  int   TRACK_radius;                      //radius of the BField coverage
+  int   TRACK_length;                      //length of the BField coverage
+  float TRACK_bfield_x;
+  float TRACK_bfield_y;
+  float TRACK_bfield_z;
+  float TRACK_ptmin;    // minimal pt needed to reach the calorimeter, in GeV
+  int   TRACK_eff;       // in percent, should be an integer
+  
+
+  //Define Calorimetric towers
+  unsigned int TOWER_number;
+  float *      TOWER_eta_edges;
+  float *      TOWER_dphi;
+
+  //thresholds for reconstructed objetcs
+  float PTCUT_elec;
+  float PTCUT_muon;
+  float PTCUT_jet;
+  float PTCUT_gamma;
+  float PTCUT_taujet;
+  
+  //General jet variable
+  double JET_coneradius;
+  int    JET_jetalgo;
+  double JET_seed;
+  double JET_overlap;
+  
+  // MidPoint algorithm definition
+  double JET_M_coneareafraction;
+  int    JET_M_maxpairsize;
+  int    JET_M_maxiterations;
+  // Define Cone algorithm.
+  int    JET_C_adjacencycut;
+  int    JET_C_maxiterations;
+  int    JET_C_iratch;
+  //Define SISCone algorithm.
+  int    JET_S_npass;
+  double JET_S_protojet_ptmin;
+  
+ //For Tau-jet definition
+ // R = sqrt (phi^2 + eta^2)
+ float TAU_energy_scone;  // radius R of the cone for tau definition, based on energy threshold
+ float TAU_track_scone;  // radius R of the cone for tau definition, based on track number
+ float TAU_track_pt;     // minimal pt [GeV] for tracks to be considered in tau definition
+ float TAU_energy_frac;      // fraction of energy required in the central part of the cone, for tau jets
+ 
+ //tagging definition
+ int BTAG_b;         
+ int BTAG_mistag_c;
+ int BTAG_mistag_l;
+ 
+
+ //trigger flag
+ int FLAG_trigger;             //flag for trigger
+ int FLAG_frog;                //flag for frog display
+ int FLAG_bfield;               //flag for bfield propagation
+ int FLAG_vfd;                  //flag for very forward detector
+ 
+ int NEvents_Frog;
+
+
+
+
+
   float PT_QUARKS_MIN;    // minimal pt needed for quarks to reach the tracker, in GeV
-  int TRACKING_EFF;       // in percent, should be an integer
-  
-  //tagging definition
-  int TAGGING_B;         //
-  int MISTAGGING_C; 
-  int MISTAGGING_L; 
-  
-  //trigger flag
-  int DOTRIGGER;
-
-  double CONERADIUS;
-  int JETALGO;
-
-  //General jet variable
-  double SEEDTHRESHOLD;    
-  double OVERLAPTHRESHOLD; 
-
-  // MidPoint algorithm definition
-  double M_CONEAREAFRACTION; 
-  int    M_MAXPAIRSIZE;      
-  int    M_MAXITERATIONS;    
- 
-  // Define Cone algorithm.
-  int    C_ADJACENCYCUT;
-  int    C_MAXITERATIONS;
-  int    C_IRATCH;
-
-  //Define SISCone algorithm.
-  int NPASS;
-  double PROTOJET_PTMIN;
-
-  // Define Calorimetric towers
-  unsigned int NTOWERS;
-  float * TOWER_ETA_EDGES;
-  float * TOWER_DPHI; 
 
   // to sort a vector
